package nc.bs.yp.plugin;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Random;

import nc.bs.dao.BaseDAO;
import nc.jdbc.framework.SQLParameter;
import nc.jdbc.framework.processor.BeanProcessor;
import nc.jdbc.framework.processor.ColumnProcessor;
import nc.vo.bd.currtype.CurrtypeVO;
import nc.vo.bd.defdoc.DefdocVO;
import nc.vo.bd.material.MaterialVO;
import nc.vo.bd.material.measdoc.MeasdocVO;
import nc.vo.bd.psn.PsndocVO;
import nc.vo.bd.transporttype.TransportTypeVO;
import nc.vo.org.DeptVO;
import nc.vo.org.GroupVO;
import nc.vo.org.SalesOrgVO;
import nc.vo.pmpub.project.ProjectHeadVO;
import nc.vo.scmf.qc.qualitylevel.entity.QualityLevelItemVO;
import nc.vo.sm.UserVO;


/**
 * 
 * 
 * @author 
 *
 */
public class GetBaseDAOUtil {
	private static BaseDAO baseDAO = new BaseDAO();
	
	// û (sm_user)
	public static UserVO getUser(String str) throws Exception {
		String sql = "select * from sm_user where  user_code='"+str+"' and nvl(dr,0)=0";
		UserVO userVO =  (UserVO) baseDAO.executeQuery(sql, new BeanProcessor(UserVO.class));
		if (userVO == null) {
			throw new Exception("ȡûϢʧ,δҵ" + str + "йصݣ");
		}
		return userVO;
	}
	
	//(org_group)
	public static GroupVO getGroup(String str) throws Exception {
		String sql = "select * from org_group where code='"+str+"' and nvl(dr,0)=0";
		GroupVO groupVO = (GroupVO) baseDAO.executeQuery(sql, new BeanProcessor(GroupVO.class));
		if (groupVO == null) {
			throw new Exception("ȡϢʧ,δҵ" + str + "йصݣ");
		}
		return groupVO;
	}
	
	//֯_ҵԪ_֯ (org_salesorg)
	public static SalesOrgVO getSalesOrg(String str)throws Exception {
		String sql = "select * from org_salesorg where code='"+str+"' and nvl(dr,0)=0";
		SalesOrgVO salesOrgVO = (SalesOrgVO) baseDAO.executeQuery(sql, new BeanProcessor(SalesOrgVO.class));
		if (salesOrgVO == null) {
			throw new Exception("ȡ֯Ϣʧ,δҵ" + str + "йصݣ");
		}
		return salesOrgVO;
	}
	
	//ĿϢ(bd_project)
	public static ProjectHeadVO getProjectHead(String str) throws Exception {
		String sql = "select * from bd_project where project_code ='"+str+"' and enablestate ='2'";
		ProjectHeadVO projectHeadVO = (ProjectHeadVO) baseDAO.executeQuery(sql, new BeanProcessor(ProjectHeadVO.class));
		if (projectHeadVO == null) {
			throw new Exception("ȡĿϢʧ,δҵ" + str + "йصݣ");
		}
		return projectHeadVO;
		
	}
	
	//Ϣ(bd_currtype)
	public static CurrtypeVO getCurrtype(String str) throws Exception {
		String sql = "select * from bd_currtype where  pk_currtype= '"+str+"' and nvl(dr,0)=0 ";
		CurrtypeVO currtypeVO = (CurrtypeVO) baseDAO.executeQuery(sql,new BeanProcessor(CurrtypeVO.class));
		if (currtypeVO == null) {
			throw new Exception("δҵ" + str + "йصݣ");
		}
		return currtypeVO;
	}
	
	// ȡ֯_(org_dept)
	public static DeptVO getDept(String str,String str1) throws Exception {
		String sql = "select * From org_dept where  code ='"+str+"' and pk_org='"+str1+"' and nvl(dr,0)=0 ";
		DeptVO deptVO = (DeptVO) baseDAO.executeQuery(sql, new BeanProcessor(DeptVO.class));
		if (deptVO == null) {
			throw new Exception("ȡϢʧ,δҵ" + str + "йصݣ");
		}
		return deptVO;
	}
	
	// ԱϢ(bd_psndoc)
	public static PsndocVO getPsndoc(String str,String str1) throws Exception {
		String sql = "select * from bd_psndoc where code='"+str+"' and pk_org='"+str1+"' and nvl(dr,0)=0 ";
		PsndocVO psndocVO = (PsndocVO) baseDAO.executeQuery(sql,new BeanProcessor(PsndocVO.class));
		if (psndocVO == null) {
			throw new Exception("ȡԱϢʧ,δҵ" + str + "йصݣ");
		}
		return psndocVO;
	}
	
	// ϻϢ汾 (bd_material)
	public static MaterialVO getMaterial(String str) throws Exception {
		String sql = "select  * From  bd_material where   code='"+str+"' and nvl(dr,0)=0 and enablestate=2 ";
		MaterialVO materialVO = (MaterialVO) baseDAO.executeQuery(sql,new BeanProcessor(MaterialVO.class));
		if (materialVO == null) {
			throw new Exception("ȡϢʧ,δҵ" + str + "йصݣ");
		}
		return materialVO;
	}
	
	//ȡλ(bd_measdoc)
	public static MeasdocVO getMeasdo(String str) throws Exception {
		String sql = "select * from bd_measdoc where code = '"+str+"' and nvl(dr, 0)=0";
		MeasdocVO measdocVO =(MeasdocVO) baseDAO.executeQuery(sql,new BeanProcessor(MeasdocVO.class));
		if (measdocVO == null) {
			throw new Exception("ȡλϢʧ,δҵ" + str + "йصݣ");
		}
		return measdocVO;
	}
	
	//Զ嵵(bd_defdoc)
	public static DefdocVO getDefdoc(String str, String str1) throws Exception {
		String sql = "select * from bd_defdoc where pk_defdoclist = (select pk_defdoclist from bd_defdoclist where name ='"+str+"' and nvl(dr,0)=0) and code = '"+str1+"' and nvl(dr,0)=0";
		DefdocVO defdocVO = (DefdocVO) baseDAO.executeQuery(sql,new BeanProcessor(DefdocVO.class));
		if(defdocVO == null) {
			throw new Exception("ȡ"+str+"ʧ,δҵ" + str1 + "йصݣ");
		}
		return defdocVO;
	}
	
	//ȼ
	public static QualityLevelItemVO getQualityLevelItem(String str)throws Exception {
		String sql = "select * from scm_qualitylevel_b where cqualitylvcode='"+str+"' and nvl(dr,0)=0";
		QualityLevelItemVO qualityLevelItemVO = (QualityLevelItemVO) baseDAO.executeQuery(sql,new BeanProcessor(QualityLevelItemVO.class));
		if(qualityLevelItemVO == null) {
			throw new Exception("ȡȼʧܣδҵ"+str+"йص");
		}
		return qualityLevelItemVO;
	}
	
	//䷽ʽ
	public static TransportTypeVO getTransportType(String str,String str1)throws Exception{
		String sql = "select * from bd_transporttype where code='"+str+"' and pk_org='"+str1+"' and nvl(dr,0)=0";
		TransportTypeVO transportTypeVO = (TransportTypeVO) baseDAO.executeQuery(sql, new BeanProcessor(TransportTypeVO.class));
		if(transportTypeVO == null) {
			throw new Exception("ȡ䷽ʽʧܣδҵ"+str+"йص");
		}
		return transportTypeVO;
	}
	
	//ѯǷ
	public static String GetVOID(String str,String str2) throws Exception {
		String sql = "select pk_ct_sale from "+str+" where vbillcode ='"+str2+"' and blatest='Y' and nvl(dr, 0)=0";
		String pk_ct_sale = (String) baseDAO.executeQuery(sql, new ColumnProcessor());
		if(pk_ct_sale == null) {
			throw new Exception("ȡۺͬϢʧ,δҵ" + str2 + "йصݣ");
		}
		return pk_ct_sale;
	}

}
