package nc.bs.yp.impl;

import java.io.IOException;
import java.io.PrintWriter;
import java.io.StringWriter;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import nc.vo.pubapp.pattern.exception.ExceptionUtils;
import nc.yp.dao.IUtilMaintain;
import nc.bs.dao.BaseDAO;
import nc.bs.framework.adaptor.IHttpServletAdaptor;
import nc.bs.framework.common.NCLocator;
import nc.bs.framework.server.ISecurityTokenCallback;
import nc.bs.servlet.service.BaseServlet;
import nc.itf.ypff.IProCostCalMaintain;
import nc.log.NcLog;
import net.sf.json.JSONObject;


/**
 * ۺͬȡЧ
 * @author YY
 */
public class UnvalidateMaintainImpl extends BaseServlet implements IHttpServletAdaptor{

	//Ψһʶ
	private String vbillcode = "";
	
	@Override
	public void doAction(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
		try {
			String createStr = buildJson(req, resp, this.getClass().getName());
			JSONObject json = JSONObject.fromObject(createStr);
			NcLog.info("ۺͬȡЧJSON:"+json);
			vbillcode = json.getString("vbillcode");
			processAction(json);
			resp.getWriter().write(formatRSJsonData("0",vbillcode,"").toString());
		} catch (Exception e) {
			//ǰ˿̨ӡxml
			resp.getWriter().write(formatRSJsonData("1",vbillcode,e.getMessage()).toString());
			StringWriter stringWriter = new StringWriter();
			e.printStackTrace(new PrintWriter(stringWriter));
			//ȡϸϢ
			String msg=stringWriter.getBuffer().toString();
			NcLog.info("ۺͬȡЧ:"+msg);
		}
		
	}
	
	
	/**
	 * 
	 * ö
	 * @param aggGatheringBillVO
	 * @throws Exception
	 */
	public void processAction(JSONObject json) throws Exception{
		NCLocator.getInstance().lookup(ISecurityTokenCallback.class).token("NCSystem".getBytes(),"pfxx".getBytes());
		IUtilMaintain iUtilMaintain =  NCLocator.getInstance().lookup(IUtilMaintain.class);
		iUtilMaintain.XSHTQX_RequiresNew(json);
	}

}
