package nc.bs.yp.impl;

import nc.bs.dao.BaseDAO;
import nc.bs.framework.common.InvocationInfoProxy;
import nc.bs.framework.common.NCLocator;
import nc.bs.framework.server.ISecurityTokenCallback;
import nc.bs.yp.plugin.GetBaseDAOUtil;
import nc.itf.uap.pf.IPFBusiAction;
import nc.jdbc.framework.generator.IdGenerator;
import nc.jdbc.framework.generator.SequenceGenerator;
import nc.md.persist.framework.IMDPersistenceQueryService;
import nc.vo.ct.saledaily.entity.AggCtSaleVO;
import nc.vo.org.SalesOrgVO;
import nc.vo.pub.workflownote.WorkflownoteVO;
import nc.yp.dao.IUtilMaintain;
import net.sf.json.JSONObject;

public class UtilMaintainImpl implements IUtilMaintain {
	private BaseDAO baseDAO = new BaseDAO();
	private WorkflownoteVO Workflownote = new WorkflownoteVO();
	private IPFBusiAction ipf = NCLocator.getInstance().lookup(IPFBusiAction.class);
	private IMDPersistenceQueryService service=NCLocator.getInstance().lookup(IMDPersistenceQueryService.class);
	
	
	@Override
	public void XSHTQX_RequiresNew(JSONObject json) throws Exception {
		//ָpk
		InvocationInfoProxy.getInstance().setGroupId(GetBaseDAOUtil.getGroup(json.getString("groupCode")).getPk_group());
		//֯
        SalesOrgVO salesOrgVO = GetBaseDAOUtil.getSalesOrg(json.getString("pk_org"));
		//ΨһʶȡAggVO
		AggCtSaleVO aggCtSaleVO = (AggCtSaleVO) service.queryBillOfNCObjectByPKWithDR(AggCtSaleVO.class,GetBaseDAOUtil.GetVOID("ct_sale",json.getString("vbillcode")),true).getContainmentObject();
		//û
		InvocationInfoProxy.getInstance().setUserId(GetBaseDAOUtil.getUser(json.getString("billmaker")).getCuserid());
		//õȡЧű
		ipf.processAction("UNVALIDATE", "Z3", Workflownote, aggCtSaleVO, null, null);
		//ƴ
		IdGenerator idGenerator = new SequenceGenerator();
		
		
		//ִй
		StringBuilder insertSQL = new StringBuilder("insert into ct_sale_exec(pk_ct_sale,pk_ct_sale_exec,pk_group,pk_org,pk_org_v,vexecdate,vexecflow,vexecreason,dr,ts) values(");
		//
		insertSQL.append("'").append(aggCtSaleVO.getParentVO().getPk_ct_sale()).append("', ");
		//
		insertSQL.append("'").append(idGenerator.generate()).append("', ");
		//
		insertSQL.append("'").append(aggCtSaleVO.getParentVO().getPk_group()).append("', ");
		//ԭʼ֯
		insertSQL.append("'").append(salesOrgVO.getPk_org()).append("', ");
		//֯
		insertSQL.append("'").append(salesOrgVO.getPk_vid()).append("', ");
		//
		insertSQL.append("'").append(json.getString("dbilldate")).append("', ");
		//ִ
		insertSQL.append("'").append("ȡЧ").append("', ");
		//ԭ
		insertSQL.append("'").append(json.getString("vexecreason")).append("', ");
	    insertSQL.append("0, ");
	    // TS
	    insertSQL.append("to_char(sysdate,'yyyy-mm-dd HH24:MI:SS'))");
	    baseDAO.executeUpdate(insertSQL.toString());
	}

	@Override
	public void XSHT_RequiresNew(JSONObject json) throws Exception {

		//ָpk
		InvocationInfoProxy.getInstance().setGroupId(GetBaseDAOUtil.getGroup(json.getString("groupCode")).getPk_group());
		//֯
        SalesOrgVO salesOrgVO = GetBaseDAOUtil.getSalesOrg(json.getString("pk_org"));
        //û
      	InvocationInfoProxy.getInstance().setUserId(GetBaseDAOUtil.getUser(json.getString("billmaker")).getCuserid());
      	//ΨһʶȡAggVO
		AggCtSaleVO aggCtSaleVO = (AggCtSaleVO) service.queryBillOfNCObjectByPKWithDR(AggCtSaleVO.class,GetBaseDAOUtil.GetVOID("ct_sale",json.getString("vbillcode")),true).getContainmentObject();
		//õȡЧű
		ipf.processAction("VALIDATE", "Z3", Workflownote, aggCtSaleVO, null, null);
		//ƴ
		IdGenerator idGenerator = new SequenceGenerator();

		//ִй
		StringBuilder insertSQL = new StringBuilder("insert into ct_sale_exec(pk_ct_sale,pk_ct_sale_exec,pk_group,pk_org,pk_org_v,vexecdate,vexecflow,vexecreason,dr,ts) values(");
		//
		insertSQL.append("'").append(aggCtSaleVO.getParentVO().getPk_ct_sale()).append("', ");
		//
		insertSQL.append("'").append(idGenerator.generate()).append("', ");
		//
		insertSQL.append("'").append(aggCtSaleVO.getParentVO().getPk_group()).append("', ");
		//ԭʼ֯
		insertSQL.append("'").append(salesOrgVO.getPk_org()).append("', ");
		//֯
		insertSQL.append("'").append(salesOrgVO.getPk_vid()).append("', ");
		//
		insertSQL.append("'").append(json.getString("dbilldate")).append("', ");
		//ִ
		insertSQL.append("'").append("ʵЧ").append("', ");
		//ԭ
		insertSQL.append("'").append(json.getString("vexecreason")).append("', ");
		insertSQL.append("0, ");
		//TS
		insertSQL.append("to_char(sysdate,'yyyy-mm-dd HH24:MI:SS'))");
		baseDAO.executeUpdate(insertSQL.toString());
	}
}
